#ifndef GAME_H
#define GAME_H

#include <SDL.h>

#include <godlibdefines.h>
#include <gp2x.h>
#include <misctools.h>
#include <sdltools.h>
#include <sdlttf.h>
#include <image.h>
#include <sample.h>
#include <music.h>
#include <vector>

#include "gfx.h"
#include "level.h"
#include "filelistrandomizer.h"

#define SYMBOL_EXIT 53

extern int globalMusicVolume;
extern FileListRandomizer *randomMusic;

class Game {
private:
	vector<Image *> symbols;
	Image background;
	Image symbolExit;
	Image timer;
	Image messageBG;
	vector<Image *> player;
	Uint32 getScore(int level, int severity);

public:
	Game();
	Uint32 run(int severity);
};

#endif
