#include <music.h>

void initAudioSystem() {
	if(Mix_OpenAudio(22050, MIX_DEFAULT_FORMAT, 2, 2048)==-1) {
		printf("Mix_OpenAudio: %s\n", Mix_GetError());
		exit(2);
	}
}

void closeAudioSystem() {
	Mix_CloseAudio();
}

void setGlobalVolume(int volume) {
	Mix_VolumeMusic(volume);
}

Music::Music() {
	this->music=NULL;
	this->loaded=0;
}

Music::Music(string filename) {
	this->loaded=0;
	this->load(filename);
}

Music::~Music() {
	if (this->loaded) {
		Mix_FreeMusic(this->music);
	}
}

int Music::load(string filename) {
	if (this->loaded) {
		Mix_FreeMusic(this->music);
	}
	this->loaded=0;
	this->music=Mix_LoadMUS(filename.c_str());
	if (this->music!=NULL) {
		this->loaded=1;
	}
	return this->loaded;
}

void Music::setVolume(int volume) {
	Mix_VolumeMusic(volume);
}

void Music::play() {
	Mix_PlayMusic(this->music, -1);
}

void Music::playOnce() {
	Mix_PlayMusic(this->music, 1);
}

void Music::stop() {
	Mix_HaltMusic();
}

void Music::rewind() {
	Mix_RewindMusic();
}

