#include "level.h"

Level::Level() {
	this->clear();
}

void Level::clear() {
	for (int x=0;x<11;x++) {
		for (int y=0;y<11;y++) {
			this->data[y][x]=0;
		}
	}
}

int Level::load(int level, int severity) {
	string row;

	this->clear();

	string filename;

	char buf[10];

	snprintf(buf,10,"%03d",level);

	filename=SHAREDIR"/data/levels/level";
	filename+=buf;
	filename+=".txt";

	ifstream fin(filename.c_str());
	int rowcount=0;
	int value;

	if (!fin) return 0;
	while (fin >> row) {
		switch (rowcount) {
			case 0:
				sscanf(row.c_str(),"%d,%d,%d",&this->startX,&this->startY,&this->timeout);
				this->timeout*=4-severity;
				break;
			default:
				if (row.length()>10) {
					for (int i=0;i<11;i++) {
						value=row[i]-0x30;
						if (value>-1) {
							this->data[rowcount-1][i]=value;
						}
						// cout << value << " ";
					}
				}
				break;
		}
		// cout << endl;
		rowcount++;
	}
	fin.close();
	return 1;
}

int Level::isCleared() {
	for (int x=0;x<11;x++) {
		for (int y=0;y<11;y++) {
			if (
					(this->data[y][x]<6) &&
					(this->data[y][x]>0)
			) {
				return 0;
			}
		}
	}
	return 1;
}

int Level::getTimeout() {
	return this->timeout;
}

int Level::getStartX() {
	return this->startX;
}

int Level::getStartY() {
	return this->startY;
}

